# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDEDesktopMimeType::Service Struct Reference

Structure representing a service, in the list of services returned by builtinServices and userDefinedServices. More...

`#include <kmimetype.h>`

Collaboration diagram for KDEDesktopMimeType::Service:

[legend]
List of all members.

## Public Attributes

QString | m_strName
QString | m_strIcon
QString | m_strExec
ServiceType | m_type
bool | m_display

## Detailed Description

Structure representing a service, in the list of services returned by builtinServices and userDefinedServices.

Definition at line 350 of file kmimetype.h.

The documentation for this struct was generated from the following file:

- kmimetype.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:42 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001